import ctypes
import _ctypes

print repr(dir(_ctypes))

h = _ctypes.dlopen("aknskins.dll")
try:
    print type(h)

    # To get the relevant ordinals, you may do something like
    #
    #   nm armv5/lib/aknskins.lib | grep -C 5 Enabled
    AvkonSkinEnabled = _ctypes.dlsym(h, "95")
    SetAvkonSkinEnabledL = _ctypes.dlsym(h, "106")
    AvkonHighlightAnimationEnabled = _ctypes.dlsym(h, "172")
    print [AvkonSkinEnabled,
           SetAvkonSkinEnabledL,
           AvkonHighlightAnimationEnabled]

    print _ctypes.call_function(AvkonSkinEnabled, ())
    _ctypes.call_function(SetAvkonSkinEnabledL, (0,)) # may leave!
    print _ctypes.call_function(AvkonSkinEnabled, ())
    print _ctypes.call_function(AvkonHighlightAnimationEnabled, ())
finally:
    _ctypes.dlclose(h)
